Subject: RE: IDR WG charter

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 4 Sep 2002 11:46:59 -0400

Jeff:
  I see no discussion on this list of the work to complete the base spec
other than
the review and update of Sue's FSM spec. So unless, all this effort is done
in a
private list or behind the scenes, I dont see how it is detracted by new
work topics
discussed here?

Ben

> -----Original Message-----
> From: Jeffrey Haas [mailto:[email-masked]]
> Sent: Wednesday, September 04, 2002 9:56 AM
> To: Abarbanel, Benjamin
> Cc: [email-masked]
> Subject: Re: IDR WG charter
> 
> 
> Ben,
> 
> On Tue, Sep 03, 2002 at 01:39:52PM -0400, Abarbanel, Benjamin wrote:
> > At the rate things get done it will be 1-2 years before the 
> old work is
> > completed
> > (makes it to RFC status), where does that put us with new 
> fresh ideas?
> 
> It shouldn't take that long.  The amount of effort the working group
> has expended on debating new drafts would probably have pushed us
> to a final draft on bgp if we had used the same effort.
> 
> > Ben
> 
> -- 
> Jeff Haas 
> NextHop Technologies
>

---

From: Jeffrey Haas <[email-masked]>
Date: Wed, 4 Sep 2002 12:49:39 -0400

On Wed, Sep 04, 2002 at 11:46:59AM -0400, Abarbanel, Benjamin wrote:
> the review and update of Sue's FSM spec.

Sounds like a problem, eh?

Have you done a line by line review of the spec to make sure that it
lines up with what you perceive to be reality?

Have you compared how the features are actually implemented by various
vendors in your testbed?  Your own product?  Products you use?

Have you read the draft to determine if each section is clear and
understandable?

Anyone who is contributing to this list on a regular basis should have
the skills to do the above.  Its our dog food - we should be sure
we're ready to eat it.  The Internet will for some time after we say
we're done with it.

As for the FSM, there have been some random comments about word consistancy,
but thats all I've seen.  FSM's are tricky to write, especially with
the large number of states and events present in them.  Do the review
of the FSM yourself.  Encourage others to do so with you.  Even if
you don't agree 100% with the need for a FSM, make sure the document
that is produced is sane and complete.

> So unless, all this effort is done
> in a

Because there seems to be this implicit assumption, not necessarily by
you, that there is this secret cabal that will review the spec and
bless it.

Guess what folks - you are the secret cabal.  
Get cracking. :-)

-- 
Jeff Haas 
NextHop Technologies